Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogicx.jsp.tags.validators
Class Summary

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--weblogicx.jsp.tags.validators.Summary

public class Summary
extends javax.servlet.jsp.tagext.TagSupport

Summary keeps tract of all validators on the page reconstructing and executing validate() on validators and storing the errorMessages in the process.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`Summary()`

Method Summary
`int` | `doEndTag()`
`boolean` | `doProcessValidation()`
`int` | `doStartTag()`
`int` | `getCount()` accessor for hiddenFieldCount
`java.lang.String` | `getFormName()`
`java.lang.String` | `getName()`
`void` | `incrementCount()` increment hidden field count
`Validatable` | `register(Validatable cv)`
`void` | `release()`
`void` | `setAddQueryParams(boolean b)`
`void` | `setHeaderText(java.lang.String ht)`
`void` | `setName(java.lang.String name)` name given to the errorVector to be accessed on the page
`void` | `setRedirectPage(java.lang.String rp)` optional field

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Summary

    public Summary()

Method Detail

### setName

    public void setName(java.lang.String name)

  name given to the errorVector to be accessed on the page

### setHeaderText

    public void setHeaderText(java.lang.String ht)

### setRedirectPage

    public void setRedirectPage(java.lang.String rp)

  optional field

### setAddQueryParams

    public void setAddQueryParams(boolean b)

### doProcessValidation

    public boolean doProcessValidation()

  Returns:
    whether the process needs to be validated or not

### getFormName

    public java.lang.String getFormName()

  Returns:
    wlForm name if any wl:form tag was used

### getName

    public java.lang.String getName()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspTagException

  Overrides:
    doEndTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

### incrementCount

    public void incrementCount()

  increment hidden field count

### getCount

    public int getCount()

  accessor for hiddenFieldCount

### register

    public Validatable register(Validatable cv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD